### Method

# St IconTheme set_search_path

#### Declaration [src]

    void
    st_icon_theme_set_search_path (
      StIconTheme* icon_theme,
      const char** path,
      int n_elements
    )

#### Description [src]

Sets the search path for the icon theme object. When looking for an icon theme, GTK+ will search for a subdirectory of one or more of the directories in `path` with the same name as the icon theme containing an index.theme file. (Themes from multiple of the path elements are combined to allow themes to be extended by adding icons in the user’s home directory.)

In addition if an icon found isn’t found either in the current icon theme or the default icon theme, and an image file with the right name is found directly in one of the elements of `path`, then that image will be used for the icon name. (This is legacy feature, and new icons should be put into the fallback icon theme, which is called hicolor, rather than directly on the icon path.).

#### Parameters

`path`

  Type: An array of `filename`

  Array of directories that are searched for icon themes.

  The length of the array is specified in the `n_elements` argument.
  The data is owned by the caller of the method.
  Each element is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows..

`n_elements`

  Type: `int`

  Number of elements in `path`.